clang-tools 10.0.0

Classes | Namespaces | Typedefs | Enumerations | Functions
FileIndex.h File Reference
`#include "Index.h"`
`#include "MemIndex.h"`
`#include "Merge.h"`
`#include "Path.h"`
`#include "index/CanonicalIncludes.h"`
`#include "index/Symbol.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include <memory>`
Include dependency graph for FileIndex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::FileSymbols
| A container of Symbols from several source files. More...
class | clang::clangd::FileIndex
| This manages symbols from files and an in-memory index on all symbols. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
using | clang::clangd::SlabTuple = std::tuple< SymbolSlab, RefSlab, RelationSlab >

## Enumerations
enum | clang::clangd::IndexType { clang::clangd::IndexType::Light, clang::clangd::IndexType::Heavy }
| Select between in-memory index implementations, which have tradeoffs. More...
enum | clang::clangd::DuplicateHandling { clang::clangd::DuplicateHandling::PickOne, clang::clangd::DuplicateHandling::Merge }
| How to handle duplicated symbols across multiple files. More...

## Functions
SlabTuple | clang::clangd::indexMainDecls (ParsedAST &AST)
| Retrieves symbols and refs of local top level decls in `AST` (i.e. More...
SlabTuple | clang::clangd::indexHeaderSymbols (ASTContext &AST, std::shared_ptr< Preprocessor > PP, const CanonicalIncludes &Includes)
| Index declarations from `AST` and macros from `PP` that are declared in included headers. More...